## Issue Classification

- [ ] Feature request
- [ ] Bug report

## Bug Report

### Software versions

_NOTE: only applicable for bug reports_

- **OS**: e.g. Mac OSX 10.11.5
- **Consumer Pact library**: e.g. Pact JS v2.6.0
- **Provider Pact library**: e.g. pact-jvm-provider-maven_2.11 v 3.3.8
- **Node Version**: `node --version`

### Issue Checklist

Confirm the following:

- [ ] I have upgraded to the latest
- [ ] I have created a reproducable git repository (see below) to illuminate the problem
- [ ] I have the read the FAQs in the Readme
- [ ] I have triple checked, that there are **no unhandled promises** in my code

### Expected behaviour

TBC

### Actual behaviour

TBC

### Steps to reproduce

Provide a repository, gist or reproducible code snippet so that we can test the problem.

Forking the project and modifying the [E2E test](https://github.com/pact-foundation/pact-js/blob/master/examples/e2e/README.md) may be the fastest path to demonstrating any problem.

### Relevant log files

Please ensure you set logging to `DEBUG` and attach any relevant log files here (or link from a gist).

## Feature Request

TBC
